Subject: (urth) Happy 80th Birthday, Gene! : Birthday Greetings for the Wolfe

From: Rebecca Bushong-Taylor <rebeccabt01 at gmail.com>
Date: Mon, 02 May 2011 05:42:25 +0000

Rebecca Bushong-Taylor has sent you a link to a blog:

Hi - Joe and I thought it would be cool to collect birthday greetings
for Gene for his 80th this Saturday, so I opened a special blog page
for this. If you would be good enough to make sure folks on the urth
list get this, I know it will make the day a special one for Gene.
Thanks very much.

Blog: Happy 80th Birthday, Gene!
Post: Birthday Greetings for the Wolfe
Link:
http://happybirthdaygenewolfe.blogspot.com/2011/05/birthday-greetings-for-wolfe.html

--
Powered by Blogger
http://www.blogger.com/
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.urth.net/pipermail/urth-urth.net/attachments/20110501/cf648f5f/attachment.htm>